Part Class

class NXOpen.Part

Bases: NXOpen.BasePart

Represents an NX part of type .prt.

Use the NXOpen.PartCollection class to load or create a part.

New in version NX3.0.0.

Properties

Property Description
CAMSetup Returns the CAM setup of the work part
ComponentAssembly Returns the component assembly.
CurrentFeature Returns the current feature.
FieldManager Returns the field main.
FullPath Returns the full path of the part.
HasReuseTemplate Returns the indicator that the part contains a reuse template.
InspectionSetup Returns the CMM Inspection setup of the work part
IsBookletPart Returns the status on whether input part is bookletPart or not a bookletPart.
IsFullyLoaded Returns the load status of a part.
IsOccurrence Returns whether this object is an occurrence or not.
IsReadOnly Returns the read-only status of a part.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
KinematicConfigurator Returns the NXOpen.SIM.KinematicConfigurator instance of the work part
Leaf Returns the leaf name of the part.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
PartPreviewMode Returns or sets the preview mode
PartUnits Returns the units of the part file.
Prototype Returns the prototype of this object if it is an occurrence.
SaveDisplayFacets Returns or sets whether display quality facets are saved in the part file
Tag Returns the Tag for this object.
UniqueIdentifier Returns or sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open.

Methods

Method Description
AssignPermanentName Saves a temporary part with the given name.
CanBeDisplayPart Returns true if the part can be displayed and false if not displayed @return
Close Closes an open part.
CompleteStructure Make additions necessary to complete the incomplete assembly structure of the input part
ConvertPreNX9CompoundWelds Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features.
CreateBoundingObjectBuilder Creates an NXOpen.GeometricUtilities.BoundingObjectBuilder object.
CreateCamSetup Creates CAM setup @return the created cam setup
CreateDynamicSectionBuilder Creates a NXOpen.Display.DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown.
CreateEffectivityConditionBuilder Creates a NXOpen.EffectivityConditionBuilder @return
CreateEmptyBlendSetbackBuilder Creates a NXOpen.GeometricUtilities.BlendSetbackBuilder object @return New empty object
CreateEmptyBoundaryDefinitionBuilder Creates boundary definition builder object @return
CreateEmptyExpressionCollectorSet Creates an empty ExpressionCollectorSet item @return New ExpressionCollectorSet object
CreateEmptyExpressionSectionSet Creates an empty ExpressionSectionSet item @return New ExpressionSectionSet object
CreateEmptyRegionPoint Creates an empty item that contains a point and its corresponding body context for a region @return New empty Region point object
CreateEmptyTransitionCurveBuilder Creates a NXOpen.GeometricUtilities.TransitionCurveBuilder object @return New empty object
CreateEmptyTwoExpressionsCollectorSet Creates an empty TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions @return New TwoExpressionsCollectorSet object
CreateEmptyTwoExpressionsSectionSet Creates an empty TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions @return New TwoExpressionsSectionSet object
CreateExpressionCollectorSet Creates an ExpressionCollectorSet item that contains a NXOpen.ScCollector collection and a corresponding expression @return New ExpressionCollectorSet object
CreateExpressionSectionSet Creates an ExpressionSectionSet item that contains a NXOpen.Section collection and a corresponding expression @return New ExpressionSectionSet object
CreateFacetSettingsBuilder Creates a builder for the Facet Settings dialog @return
CreateGatewayGroupBuilder Creates a Groups builder @return GroupBuilder object
CreateInspectionSetup Creates CMM Inspection setup @return the created CMM Inspection setup
CreateKinematicConfigurator Create an instance of NXOpen.SIM.KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects @return The new Machine Tool Configurator
CreateObjectList Creates an empty list that can be populated with any NXObject @return ObjectList object
CreatePartFamily Create a part family of the part.
CreatePerspectiveOptionsBuilder Creates a builder for the Perspective Options dialog @return
CreatePointSetAlignmentBuilder Creates point set alignment builder object @return
CreatePointsFromFileBuilder Creates a NXOpen.GeometricUtilities.PointsFromFileBuilder object @return New empty object
CreateReferenceSet Creates a NXOpen.ReferenceSet object @return New reference set object
CreateRegionPoint Creates an item that contains a point and its corresponding body context for a region @return Region point object
CreateSelectionList Creates a NXOpen.GeometricUtilities.SelectionList object.
CreateTwoExpressionsCollectorSet Creates an TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions @return New TwoExpressionsCollectorSet object
CreateTwoExpressionsSectionSet Creates an TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions @return New TwoExpressionsSectionSet object
CreateWavelinkRepository Create the link repository to handle interpart selection @return
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteCamSetup Delete CAM setup
DeleteInspectionSetup Delete CMM Inspection setup
DeleteReferenceSet Deletes a NXOpen.ReferenceSet object
DeleteRetainedDraftingObjectsInCurrentLayout Deletes all retained drafting objects in the current layout of part that are currently in the retained state.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes encountered with the given Type with option to update or not.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAllReferenceSets Get all the NXOpen.ReferenceSet objects in this part.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetCollaborativeContentType The collaborative content type of this part.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetFamilyInstance Obtains the NXOpen.PartFamily.Instance from part.
GetHistoryInformation Get history of part @return list of history data for the part.
GetIncompleteStatus Inquire whether the provided part is flagged as being incomplete @return
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetInterpartChildren Returns a list of child parts in the current session that contain interpart geometry.
GetInterpartParents Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part.
GetMakeUniqueName Gets the Unique name on a part for the Make Unique operation @return
GetPartFamilyManager Create an instance of a NXOpen.PartFamilyManager class that will be used to edit part family of the part.
GetPreviewImage Get the preview image This will return the graphic preview image of the part (when available).
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetTransientStatus Inquire whether the provided part is flagged as being transient @return
GetUpdateStatusReport Get feature update status report @return list of affected features
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, of the given type.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute with the given Title, Type and array Index is present on the object Unset attributes will not be detected by this function, as its purpose is to test for the actual presence of the attribute on the object.
LoadFeatureDataForSelection Ensure that feature data is loaded for a part.
LoadFully Ensures that this part is fully loaded.
LoadThisPartFully Ensures that this part is fully loaded.
MakeAllFeaturesInactive Makes all the features of the part inactive
MakeNoPartModuleActive Deactivates any part module that is active in the given part.
NewPartFamilyMemberData Create an instance of a NXOpen.PartFamilyMemberData class that will be used to store the member count and member values of each member.
NewPartFamilyMemberValues Create an instance of a NXOpen.PartFamilyMemberValues class that will be used to store the attribute values of a member.
NewPartFamilyTemplateManager Creates an instance of a NXOpen.PartFamily.TemplateManager class that will be used to manage part family associated with this part @return
Print Prints a representation of this object to the system log file.
RegenerateDisplayFacets Regenerates display specific cached facets in the part.
ReinstateTransience Reinstate the transient status to the formerly transient input part
RemoveTransience Remove the transient status from the input part
Reopen Reopens a loaded part.
ReopenAs Reopens a loaded part.
ResetTimestampToLatestFeature Sets the timestamp for the part to the timestamp of the latest feature in the part.
ReverseBlankAll Reverse blank all the objects in the part.
Save Saves the part whether it is modified or not.
SaveAs Creates copy of target part.
SaveBookmark Saves a bookmark file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetMakeUniqueName Sets the unique name on part for the Make Unique operation
SetName Sets the custom name of the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.

Enumerations

PartPartFamilyAttrType Enumeration The part family attribute types.
PartRelations Enumeration The relations of the part file.
PartUnits Enumeration The units of the part file.

Structs

PartFeatureUpdateStatus_Struct Struct Contains feature update status report
PartPartFamilyAttributeData_Struct Struct Contains part family attributes information

Property Detail

CAMSetup

Part.CAMSetup

Returns the CAM setup of the work part

-------------------------------------

Getter Method

Signature CAMSetup()

Returns:the cam setup of the part
Return type:NXOpen.CAM.CAMSetup

New in version NX4.0.0.

License requirements: cam_base (“CAM BASE”)

CurrentFeature

Part.CurrentFeature

Returns the current feature.

-------------------------------------

Getter Method

Signature CurrentFeature()

Returns:
Return type:NXOpen.Features.Feature

New in version NX3.0.0.

License requirements: None.

HasReuseTemplate

Part.HasReuseTemplate

Returns the indicator that the part contains a reuse template.

-------------------------------------

Getter Method

Signature HasReuseTemplate()

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: None.

InspectionSetup

Part.InspectionSetup

Returns the CMM Inspection setup of the work part

-------------------------------------

Getter Method

Signature InspectionSetup()

Returns:the CMM Inspection setup of the part
Return type:NXOpen.CAM.InspectionSetup

New in version NX7.0.0.

License requirements: insp_programming (“INSPECTION PROGRAMMING”)

IsBookletPart

Part.IsBookletPart

Returns the status on whether input part is bookletPart or not a bookletPart.

-------------------------------------

Getter Method

Signature IsBookletPart()

Returns:
Return type:bool

New in version NX8.0.0.

License requirements: None.

IsOccurrence

Part.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence()

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

Part.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

KinematicConfigurator

Part.KinematicConfigurator

Returns the NXOpen.SIM.KinematicConfigurator instance of the work part

-------------------------------------

Getter Method

Signature KinematicConfigurator()

Returns:The Machine Tool Configurator of the work part
Return type:NXOpen.SIM.KinematicConfigurator

New in version NX7.5.0.

License requirements: None.

Name

Part.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name()

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

Part.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent()

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

Part.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart()

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

Part.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype()

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

ConvertPreNX9CompoundWelds

Part.ConvertPreNX9CompoundWelds

Convert any existing pre-NX9 Compound Weld User Defined Objects to NX features.

Signature ConvertPreNX9CompoundWelds()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateBoundingObjectBuilder

Part.CreateBoundingObjectBuilder

Creates an NXOpen.GeometricUtilities.BoundingObjectBuilder object.

Signature CreateBoundingObjectBuilder()

Returns:
Return type:NXOpen.GeometricUtilities.BoundingObjectBuilder

New in version NX7.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CreateCamSetup

Part.CreateCamSetup

Creates CAM setup

Signature CreateCamSetup(templateName)

Parameters:templateName (str) – the name of the template type NOTE: The full Unicode character set is not supported for this parameter.
Returns:the created cam setup
Return type:NXOpen.CAM.CAMSetup

New in version NX4.0.0.

License requirements: cam_base (“CAM BASE”)

CreateEmptyBlendSetbackBuilder

Part.CreateEmptyBlendSetbackBuilder

Creates a NXOpen.GeometricUtilities.BlendSetbackBuilder object

Signature CreateEmptyBlendSetbackBuilder()

Returns:New empty object
Return type:NXOpen.GeometricUtilities.BlendSetbackBuilder

New in version NX9.0.0.

License requirements: None.

CreateEmptyBoundaryDefinitionBuilder

Part.CreateEmptyBoundaryDefinitionBuilder

Creates boundary definition builder object

Signature CreateEmptyBoundaryDefinitionBuilder()

Returns:
Return type:NXOpen.GeometricUtilities.BoundaryDefinitionBuilder

New in version NX7.5.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

CreateEmptyExpressionCollectorSet

Part.CreateEmptyExpressionCollectorSet

Creates an empty ExpressionCollectorSet item

Signature CreateEmptyExpressionCollectorSet()

Returns:New ExpressionCollectorSet object
Return type:NXOpen.ExpressionCollectorSet

New in version NX5.0.0.

License requirements: None.

CreateEmptyExpressionSectionSet

Part.CreateEmptyExpressionSectionSet

Creates an empty ExpressionSectionSet item

Signature CreateEmptyExpressionSectionSet()

Returns:New ExpressionSectionSet object
Return type:NXOpen.ExpressionSectionSet

New in version NX5.0.0.

License requirements: None.

CreateEmptyRegionPoint

Part.CreateEmptyRegionPoint

Creates an empty item that contains a point and its corresponding body context for a region

Signature CreateEmptyRegionPoint()

Returns:New empty Region point object
Return type:NXOpen.RegionPoint

New in version NX5.0.0.

License requirements: None.

CreateEmptyTransitionCurveBuilder

Part.CreateEmptyTransitionCurveBuilder

Creates a NXOpen.GeometricUtilities.TransitionCurveBuilder object

Signature CreateEmptyTransitionCurveBuilder()

Returns:New empty object
Return type:NXOpen.GeometricUtilities.TransitionCurveBuilder

New in version NX9.0.0.

License requirements: None.

CreateEmptyTwoExpressionsCollectorSet

Part.CreateEmptyTwoExpressionsCollectorSet

Creates an empty TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions

Signature CreateEmptyTwoExpressionsCollectorSet()

Returns:New TwoExpressionsCollectorSet object
Return type:NXOpen.GeometricUtilities.TwoExpressionsCollectorSet

New in version NX8.5.0.

License requirements: None.

CreateEmptyTwoExpressionsSectionSet

Part.CreateEmptyTwoExpressionsSectionSet

Creates an empty TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions

Signature CreateEmptyTwoExpressionsSectionSet()

Returns:New TwoExpressionsSectionSet object
Return type:NXOpen.GeometricUtilities.TwoExpressionsSectionSet

New in version NX9.0.0.

License requirements: None.

CreateExpressionCollectorSet

Part.CreateExpressionCollectorSet

Creates an ExpressionCollectorSet item that contains a NXOpen.ScCollector collection and a corresponding expression

Signature CreateExpressionCollectorSet(collector, value, unitsType, index)

Parameters:
  • collector (NXOpen.ScCollector) – Selection object
  • value (str) – initial expression string
  • unitsType (str) – units of expression
  • index (int) – This parameter has no effect, and is ignored
Returns:

New ExpressionCollectorSet object

Return type:

NXOpen.ExpressionCollectorSet

New in version NX5.0.0.

License requirements: None.

CreateExpressionSectionSet

Part.CreateExpressionSectionSet

Creates an ExpressionSectionSet item that contains a NXOpen.Section collection and a corresponding expression

Signature CreateExpressionSectionSet(section, value, unitsType, index)

Parameters:
  • section (NXOpen.Section) – Section object
  • value (str) – initial expression string
  • unitsType (str) – units of expression
  • index (int) – This parameter has no effect, and is ignored
Returns:

New ExpressionSectionSet object

Return type:

NXOpen.ExpressionSectionSet

New in version NX5.0.0.

License requirements: None.

CreateInspectionSetup

Part.CreateInspectionSetup

Creates CMM Inspection setup

Signature CreateInspectionSetup(templateName)

Parameters:templateName (str) – the name of the template type NOTE: The full Unicode character set is not supported for this parameter.
Returns:the created CMM Inspection setup
Return type:NXOpen.CAM.InspectionSetup

New in version NX7.0.0.

License requirements: insp_programming (“INSPECTION PROGRAMMING”)

CreateKinematicConfigurator

Part.CreateKinematicConfigurator

Create an instance of NXOpen.SIM.KinematicConfigurator class that will be used to manage all Machine tool Builder and Configurator objects

Signature CreateKinematicConfigurator()

Returns:The new Machine Tool Configurator
Return type:NXOpen.SIM.KinematicConfigurator

New in version NX7.5.0.

License requirements: ug_isv_full (“Full functionality for Integrated Simulation and Verification”) OR nx_isv_mtb (“Machine Tool Builder”) OR resource_manager_nx (“Teamcenter Resource Manager”)

CreateObjectList

Part.CreateObjectList

Creates an empty list that can be populated with any NXObject

Signature CreateObjectList()

Returns:ObjectList object
Return type:NXOpen.ObjectList

New in version NX4.0.0.

License requirements: None.

CreatePartFamily

Part.CreatePartFamily

Create a part family of the part.

Signature CreatePartFamily(attributeData, memberData)

Parameters:
Returns:

the new NXOpen.PartFamilyManager instance

Return type:

NXOpen.PartFamilyManager

New in version NX6.0.0.

Deprecated since version NX9.0.0: Use NXOpen.PartFamily.TemplateManager.CreatePartFamily instead

License requirements: None.

CreatePointSetAlignmentBuilder

Part.CreatePointSetAlignmentBuilder

Creates point set alignment builder object

Signature CreatePointSetAlignmentBuilder()

Returns:
Return type:NXOpen.GeometricUtilities.PointSetAlignmentBuilder

New in version NX7.5.0.

License requirements: studio_free_form (“STUDIO FREE FORM”)

CreatePointsFromFileBuilder

Part.CreatePointsFromFileBuilder

Creates a NXOpen.GeometricUtilities.PointsFromFileBuilder object

Signature CreatePointsFromFileBuilder()

Returns:New empty object
Return type:NXOpen.GeometricUtilities.PointsFromFileBuilder

New in version NX8.5.0.

License requirements: None.

CreateRegionPoint

Part.CreateRegionPoint

Creates an item that contains a point and its corresponding body context for a region

Signature CreateRegionPoint(point, body)

Parameters:
Returns:

Region point object

Return type:

NXOpen.RegionPoint

New in version NX5.0.0.

License requirements: None.

CreateSelectionList

Part.CreateSelectionList

Creates a NXOpen.GeometricUtilities.SelectionList object.

Signature CreateSelectionList()

Returns:
Return type:NXOpen.GeometricUtilities.SelectionList

New in version NX8.0.0.

License requirements: None.

CreateTwoExpressionsCollectorSet

Part.CreateTwoExpressionsCollectorSet

Creates an TwoExpressionCollectorSet item that contains a NXOpen.ScCollector collection and two corresponding expressions

Signature CreateTwoExpressionsCollectorSet(collector, value, valueTwo, unitsType, index)

Parameters:
  • collector (NXOpen.ScCollector) – Selection object
  • value (str) – initial expression string
  • valueTwo (str) – initial expression string for second expression
  • unitsType (str) – units of expression
  • index (int) – This parameter has no effect, and is ignored
Returns:

New TwoExpressionsCollectorSet object

Return type:

NXOpen.GeometricUtilities.TwoExpressionsCollectorSet

New in version NX8.5.0.

License requirements: None.

CreateTwoExpressionsSectionSet

Part.CreateTwoExpressionsSectionSet

Creates an TwoExpressionSectionSet item that contains a NXOpen.Section section and two corresponding expressions

Signature CreateTwoExpressionsSectionSet(section, value, valueTwo, unitsType, index)

Parameters:
  • section (NXOpen.Section) – Selection object
  • value (str) – initial expression string for first expression
  • valueTwo (str) – initial expression string for second expression
  • unitsType (str) – units of expression
  • index (int) – This parameter has no effect, and is ignored
Returns:

New TwoExpressionsSectionSet object

Return type:

NXOpen.GeometricUtilities.TwoExpressionsSectionSet

New in version NX9.0.0.

License requirements: None.

CreateWavelinkRepository

Part.CreateWavelinkRepository

Create the link repository to handle interpart selection

Signature CreateWavelinkRepository()

Returns:
Return type:NXOpen.GeometricUtilities.WaveLinkRepository

New in version NX6.0.0.

License requirements: None.

DeleteCamSetup

Part.DeleteCamSetup

Delete CAM setup

Signature DeleteCamSetup()

New in version NX4.0.0.

License requirements: cam_base (“CAM BASE”)

DeleteInspectionSetup

Part.DeleteInspectionSetup

Delete CMM Inspection setup

Signature DeleteInspectionSetup()

New in version NX7.0.0.

License requirements: insp_programming (“INSPECTION PROGRAMMING”)

DeleteRetainedDraftingObjectsInCurrentLayout

Part.DeleteRetainedDraftingObjectsInCurrentLayout

Deletes all retained drafting objects in the current layout of part that are currently in the “retained” state.

Signature DeleteRetainedDraftingObjectsInCurrentLayout()

New in version NX3.0.0.

License requirements: None.

FindObject

Part.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetFamilyInstance

Part.GetFamilyInstance

Obtains the NXOpen.PartFamily.Instance from part.

Signature GetFamilyInstance()

Returns:
Return type:NXOpen.PartFamily.Instance

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

GetInterpartChildren

Part.GetInterpartChildren

Returns a list of child parts in the current session that contain interpart geometry.

Signature GetInterpartChildren()

Returns:
Return type:list of NXOpen.Part

New in version NX3.0.0.

License requirements: None.

GetInterpartParents

Part.GetInterpartParents

Returns a list of parts in the current session that contain the defining geometry for linked geometry in this part.

Signature GetInterpartParents()

Returns:
Return type:list of NXOpen.Part

New in version NX3.0.0.

License requirements: None.

GetPartFamilyManager

Part.GetPartFamilyManager

Create an instance of a NXOpen.PartFamilyManager class that will be used to edit part family of the part.

Signature GetPartFamilyManager()

Returns:the new NXOpen.PartFamilyManager instance
Return type:NXOpen.PartFamilyManager

New in version NX6.0.0.

Deprecated since version NX9.0.0: Use NXOpen.Part.NewPartFamilyTemplateManager instead

License requirements: None.

GetUpdateStatusReport

Part.GetUpdateStatusReport

Get feature update status report

Signature GetUpdateStatusReport()

Returns:a tuple
Return type:A tuple consisting of (updateStatus, numFailed). updateStatus is a list of NXOpen.PartFeatureUpdateStatus_Struct. list of affected features numFailed is a int. number of failed features

New in version NX3.0.0.

License requirements: None.

MakeAllFeaturesInactive

Part.MakeAllFeaturesInactive

Makes all the features of the part inactive

Signature MakeAllFeaturesInactive()

New in version NX7.5.4.

License requirements: solid_modeling (“SOLIDS MODELING”)

MakeNoPartModuleActive

Part.MakeNoPartModuleActive

Deactivates any part module that is active in the given part.

Signature MakeNoPartModuleActive()

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR geometric_tol (“GDT”)

NewPartFamilyMemberData

Part.NewPartFamilyMemberData

Create an instance of a NXOpen.PartFamilyMemberData class that will be used to store the member count and member values of each member.

Signature NewPartFamilyMemberData()

Returns:the new NXOpen.PartFamilyMemberData instance
Return type:NXOpen.PartFamilyMemberData

New in version NX6.0.0.

Deprecated since version NX9.0.0: Create and use NXOpen.PartFamily.InstanceDefinition objects using NXOpen.PartFamily.TemplateManager.AddInstanceDefinition

License requirements: None.

NewPartFamilyMemberValues

Part.NewPartFamilyMemberValues

Create an instance of a NXOpen.PartFamilyMemberValues class that will be used to store the attribute values of a member.

Signature NewPartFamilyMemberValues()

Returns:the new NXOpen.PartFamilyMemberValues instance
Return type:NXOpen.PartFamilyMemberValues

New in version NX6.0.0.

License requirements: None.

NewPartFamilyTemplateManager

Part.NewPartFamilyTemplateManager

Creates an instance of a NXOpen.PartFamily.TemplateManager class that will be used to manage part family associated with this part

Signature NewPartFamilyTemplateManager()

Returns:
Return type:NXOpen.PartFamily.TemplateManager

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Print

Part.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

ResetTimestampToLatestFeature

Part.ResetTimestampToLatestFeature

Sets the timestamp for the part to the timestamp of the latest feature in the part.

Use this when you have deleted the latest feature and you want to reuse the timestamp assigned to that feature

Signature ResetTimestampToLatestFeature()

New in version NX3.0.0.

License requirements: None.

SetName

Part.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.